<%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 18:59
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Cinemas</title>
    <%@include file='templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/index.css">
</head>
<body>

<!-- Navigation -->
<%@include file='templates/header.jsp' %>

<!-- Header -->
<header class="masthead"
        style="background: url('${pageContext.request.contextPath}/static/images/landing.jpg')">
    <div class="container d-flex h-100 align-items-center">
        <div class="mx-auto text-center">
            <h1 class="mx-auto my-0 text-uppercase white">Cinemas</h1>
            <!--<h2 class="text-secondary mx-auto mt-2 mb-5 text-uppercase white">The best tool to manage your cinema network</h2>-->
            <a href="#about" class="btn btn-interact js-scroll-trigger white">Get Started</a>
        </div>
    </div>
</header>

<div class="index-gradient">
    <!-- About Section -->
    <section id="about" class="about-section text-center">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 mx-auto">
                    <h2 class="text-white mb-4">Built for cinema business. Built with passion for movies.</h2>
                    <p class="text-white-50">
                        We are glad to provide you the best possible instrument to manage your cinema network.
                        Use it to control your cinemas, track tickets to movies, and gather precious data for your
                        business.
                        System is established to be user-friendly and easy to get on.
                    </p>
                </div>
            </div>
        </div>
    </section>

    <!-- Projects Section -->
    <section id="projects" class="projects-section pt-3 pb-3">
        <div class="container">

            <!-- Featured Project Row -->
            <div class="row justify-content-center no-gutters mb-5 mb-lg-0">
                <div class="col-lg-6">
                    <img class="img-fluid mb-3 mb-lg-0 landing-info-image pr-3"
                         src="${pageContext.request.contextPath}/static/images/landing_tickets.jpg" alt="">
                </div>
                <div class="col-lg-6">
                    <div class="project-text w-100 my-auto text-center text-lg-left">
                        <h4 class="text-white">Tickets management</h4>
                        <p class="text-white-50 mb-0">
                            Manage tickets that your customers buy. Get all the information about movies and cinemas,
                            track popular titles, do whatever you may possibly imagine.
                        </p>
                    </div>
                </div>
            </div>

            <!-- Project One Row -->
            <div class="row justify-content-center no-gutters mb-5 mb-lg-0">
                <div class="col-lg-6">
                    <img class="img-fluid landing-info-image pr-3"
                         src="${pageContext.request.contextPath}/static/images/landing_cinemas.jpg" alt="">
                </div>
                <div class="col-lg-6 order-lg-first">
                    <div class="bg-black text-center h-100 project">
                        <div class="d-flex h-100">
                            <div class="project-text w-100 my-auto text-center text-lg-right">
                                <h4 class="text-white">Cinemas management</h4>
                                <p class="mb-0 text-white-50">
                                    Manage your network. See all the theaters that you own in various places, control
                                    business processes, divide and conquer.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Project Two Row -->
            <div class="row justify-content-center hide-y no-gutters">
                <div class="col-lg-6">
                    <img class="pl-3 img-fluid landing-info-image"
                         src="${pageContext.request.contextPath}/static/images/landing_users.jpg" alt="">
                </div>
                <div class="col-lg-6">
                    <div class="bg-black text-center h-100 project">
                        <div class="d-flex h-100">
                            <div class="project-text w-100 my-auto text-center text-lg-left">
                                <h4 class="text-white">User management</h4>
                                <p class="mb-0 text-white-50">
                                    Build up your customers database. Track popularity of certain titles and places
                                    basing
                                    on precious personal data of innocent people, and enjoy the world we live in.
                                </p>
                                <hr class="d-none d-lg-block mb-0 mr-0">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

<!-- Contact Section -->
<section class="contact-section mt-3 bg-black">
    <div class="container">

        <div class="row">

            <div class="col-md-4 mb-3 mb-md-0">
                <div class="card py-4 h-100">
                    <div class="card-body text-center">
                        <i class="fas fa-map-marked-alt text-primary mb-2"></i>
                        <h4 class="text-uppercase m-0">Address</h4>
                        <hr class="my-4">
                        <div class="small text-black-50">SSAU, Samara</div>
                    </div>
                </div>
            </div>

            <div class="col-md-4 mb-3 mb-md-0">
                <div class="card py-4 h-100">
                    <div class="card-body text-center">
                        <i class="fas fa-envelope text-primary mb-2"></i>
                        <h4 class="text-uppercase m-0">Emails</h4>
                        <hr class="my-4">
                        <div class="small text-black-50 d-flex flex-column">
                            <a href="mailto:groundhog448@gmail.com">groundhog448@gmail.com</a>
                            <a href="mailto:win10@list.ru">win10@list.ru</a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-4 mb-3 mb-md-0">
                <div class="card py-4 h-100">
                    <div class="card-body text-center">
                        <i class="fas fa-mobile-alt text-primary mb-2"></i>
                        <h4 class="text-uppercase m-0">Phones</h4>
                        <hr class="my-4">
                        <div class="small text-black-50 d-flex flex-column">
                            <div class="small text-black-50">+7 (963) 914-52-75</div>
                            <div class="small text-black-50">+7 (999) 171-60-67</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="social d-flex mt-3 justify-content-center">
            <a href="https://github.com/wierd-stuff-inc/" class="mx-2">
                <i class="fab fa-github"></i>
            </a>
            <a href="#" class="mx-2">
                <i class="fab fa-vk"></i>
            </a>
            <a href="https://gitlab.le-memese.com/s3rius/corporative_systems" class="mx-2">
                <i class="fab fa-gitlab"></i>
            </a>
        </div>

    </div>
</section>

<!-- Footer -->
<footer class="bg-black small text-center text-black-50">
    <div class="container">
        Copyright &copy; le-memese 2019
    </div>
</footer>
</body>
</html>
