<%@ page import="com.s3ai.entities.Cinema" %>
<%@ page import="java.util.List" %>
<%@ page import="com.s3ai.entities.Ticket" %>
<%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 20:34
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Tickets list</title>
    <%@include file='../templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/tickets.css">
</head>
<body class="themed-gradient">
<%@include file='../templates/header.jsp' %>

<div class="container-fluid">
    <div class="row table-padding justify-content-center">
        <table class="table shadow col-6 table-striped table-dark">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Movie</th>
                <th scope="col">Cinema</th>
                <th scope="col">User</th>
            </tr>
            </thead>
            <tbody>
            <%
                List<Ticket> tickets = (List<Ticket>) request.getSession().getAttribute("tickets");
                for (int i = 0; i < tickets.size(); i++) {
                    Ticket ticket = tickets.get(i);
                    out.println("<tr ticket_id='" + ticket.getId().toString() + "'>");
                    out.println("<td  scope=\"col\">" + (i + 1) + "</td>");
                    out.println("<td attr_name=\"movie\">" + (ticket.getMovie() == null ? "" : ticket.getMovie()) + "</td>");
                    out.println("<td attr_name=\"cinema\">" + (ticket.getCinema() == null ? "" : ticket.getCinema().getName() + " in " + ticket.getCinema().getLocation()) + "</td>");
                    out.println("<td attr_name=\"user\">" + (ticket.getUser() == null ? "" : ticket.getUser().getName() + " aged " + ticket.getUser().getAge()) + "</td>");
                    out.println("</tr>");
                }
            %>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="ticketModal" tabindex="-1" role="dialog"
         aria-labelledby="ticketModalTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Ticket info</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="d-flex flex-column">
                        <div class="d-flex flex-row justify-content-between">
                            <p>ID:</p>
                            <p id="modal_id"></p>
                        </div>
                        <div class="d-flex flex-row justify-content-between">
                            <p>Movie:</p>
                            <p id="modal_movie"></p>
                        </div>
                        <div class="d-flex flex-row justify-content-between">
                            <p>User:</p>
                            <p id="modal_user_id">value</p>
                        </div>
                        <div class="d-flex flex-row justify-content-between">
                            <p>Cinema:</p>
                            <p id="modal_cinema_id">value</p>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" id="edit_ticket" class="btn btn-primary"><i class="fas fa-edit"></i> Edit
                        ticket
                    </button>
                    <button type="button" id="delete_ticket" class="btn btn-danger"><i class="fas fa-trash-alt"></i>
                        Delete ticket
                    </button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><i class="fas fa-times"></i>
                        Close
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    let context_url = "${pageContext.request.contextPath}"
</script>
<script src="${pageContext.request.contextPath}/static/js/tickets.js"></script>
</html>
